## ZendX_JQuery_View_Helper_UiWidget

Description

jQuery Ui Widget Base class

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- abstract:
- license: New BSD License
- uses: ZendX_JQuery_View_Helper_JQuery_Container

Located in /JQuery/View/Helper/UiWidget.php (line 42)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget

Direct descendents

Class | Description
--- | ---
ZendX_JQuery_View_Helper_AccordionContainer | jQuery Accordion View Helper
ZendX_JQuery_View_Helper_AutoComplete | jQuery Autocomplete View Helper
ZendX_JQuery_View_Helper_TabContainer | jQuery Tabs Container View Helper
ZendX_JQuery_View_Helper_ColorPicker | jQuery Color Picker View Helper
ZendX_JQuery_View_Helper_DialogContainer | jQuery Dialog View Helper
ZendX_JQuery_View_Helper_DatePicker | jQuery Date Picker View Helper
ZendX_JQuery_View_Helper_Slider | jQuery Slider View Helper
ZendX_JQuery_View_Helper_Spinner | jQuery Spinner View Helper
ZendX_JQuery_View_Helper_UiWidgetPane | jQuery Pane Base class, adds captureStart/captureEnd functionality for panes.

Variable Summary
ZendX_JQuery_View_Helper_JQuery_Container $jquery
Method Summary
ZendX_JQuery_View_Helper_Widget setView ( $view)
Array _prepareAttributes (String $id, String $value, Array $attribs)
Variables
ZendX_JQuery_View_Helper_JQuery_Container $jquery (line 49)

Contains reference to the jQuery view helper

- access: protected

Methods
setView (line 57)

Set view and enable jQuery Core and UI libraries

- access: public

ZendX_JQuery_View_Helper_Widget setView ( $view)

- Zend_View_Interface $view

_prepareAttributes (line 74)

Helps with building the correct Attributes Array structure.

- access: protected

Array _prepareAttributes (String $id, String $value, Array $attribs)

- String $id
- String $value
- Array $attribs

Documentation generated on Mon, 24 Aug 2009 17:58:50 -0700 by phpDocumentor 1.4.2